Package javax.mail

## Interface MessageAware

All Known Implementing Classes:
  `IMAPMultipartDataSource`, `MimePartDataSource`

    public interface MessageAware

An interface optionally implemented by `DataSources` to supply information to a `DataContentHandler` about the message context in which the data content object is operating.

Since:
  JavaMail 1.1
See Also:
  `MessageContext`, `DataSource`, `DataContentHandler`

### Method Summary

All Methods Instance Methods Abstract Methods
`MessageContext` `getMessageContext()` Return the message context.

### Method Detail

#### getMessageContext

    MessageContext getMessageContext()

Return the message context.

Returns:
  the message context